Name:          hessian-nodep
Version:       3.1.3
Release:       %mkrel 2
Summary:       Hessian binary web service protocol with deps
Group:         Development/Java
License:       ASL 1.1
Url:           http://hessian.caucho.com/
Source0:       http://caucho.com/download/hessian-%{version}-src.tar.bz2
Source1:       http://www.caucho.com/download/resin-%{version}-src.zip
Source2:       http://repo1.maven.org/maven2/com/caucho/hessian/%{version}/hessian-%{version}.pom
Source3:       hessian-%{version}-build.xml

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: geronimo-jms
BuildRequires: servletapi5

Requires:      geronimo-jms
Requires:      servletapi5

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Hessian binary web service protocol makes web
services usable without requiring a large framework,
and without learning yet another alphabet soup of
protocols. Because it is a binary protocol, it is
well-suited to sending binary data without any need
to extend the protocol with attachments.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

mkdir src
mv com src

unzip -qq %{SOURCE1}
cp -R resin-%{version}/modules/util/src/com src
mkdir -p src/com/caucho/jms/util/
cp resin-%{version}/modules/resin/src/com/caucho/jms/util/BytesMessageOutputStream.java src/com/caucho/jms/util/
cp %{SOURCE3} build.xml

%build
export CLASSPATH=$(build-classpath geronimo-jms servletapi5):target/classes
ant -Dbuild.sysclasspath="only" dist

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/hessian-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap com.caucho hessian %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.1.3-2.mga3
+ Revision: 353177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 gil <gil> 3.1.3-1.mga2
+ Revision: 158463
- imported package hessian-nodep

